FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 12-24-2009, 12:14 AM
Xi Shen
 
Default cannot compile kvm

hi,

i cannot access my computer now, so i can only tell you what i remember.

i am using gentoo amd64, and the portage is updated. the kernel have
kvm modules compiled. when i was trying to emerge kvm-kmod, it is said
to have been masked, so i unmasked it. but while compiling, kvm-kmod
failed with an error message like:

cannot file arc/x86/trace.h file


--
Best Regards,
David Shen

http://twitter.com/davidshen84/
http://meme.yahoo.com/davidshen84/
 
Old 12-24-2009, 03:51 AM
Xi Shen
 
Default cannot compile kvm

On Thu, Dec 24, 2009 at 9:14 AM, Xi Shen <davidshen84@googlemail.com> wrote:
> hi,
>
> i cannot access my computer now, so i can only tell you what i remember.
>
> i am using gentoo amd64, and the portage is updated. the kernel have
> kvm modules compiled. when i was trying to emerge kvm-kmod, it is said
> to have been masked, so i unmasked it. but while compiling, kvm-kmod
> failed with an error message like:
>
> cannot file arc/x86/trace.h file
>
>
> --
> Best Regards,
> David Shen
>
> http://twitter.com/davidshen84/
> http://meme.yahoo.com/davidshen84/
>

here i attached the build log, and the emerge --info. hope some one
would help me


--
Best Regards,
David Shen

http://twitter.com/davidshen84/
http://meme.yahoo.com/davidshen84/
 
Old 12-24-2009, 08:00 AM
Marcus Wanner
 
Default cannot compile kvm

On 12/23/2009 8:14 PM, Xi Shen wrote:

hi,

i cannot access my computer now, so i can only tell you what i remember.

i am using gentoo amd64, and the portage is updated. the kernel have
kvm modules compiled. when i was trying to emerge kvm-kmod, it is said
to have been masked, so i unmasked it. but while compiling, kvm-kmod
failed with an error message like:

cannot file arch/x86/kvm/trace.h file

Masked packages are usually masked for a reason. I would check on google
and then the gentoo bugzilla and see if anyone else has had the same
problem, and how they fixed it.


Marcus
 
Old 12-24-2009, 09:17 AM
Neil Bothwick
 
Default cannot compile kvm

On Thu, 24 Dec 2009 04:00:52 -0500, Marcus Wanner wrote:

> Masked packages are usually masked for a reason.

That reason is given in /usr/portage/profiles/package.mask


--
Neil Bothwick

An expert is nothing more than an ordinary person away from home.
 
Old 12-24-2009, 09:21 AM
Alan McKinnon
 
Default cannot compile kvm

On Thursday 24 December 2009 11:00:52 Marcus Wanner wrote:
> On 12/23/2009 8:14 PM, Xi Shen wrote:
> > hi,
> >
> > i cannot access my computer now, so i can only tell you what i remember.
> >
> > i am using gentoo amd64, and the portage is updated. the kernel have
> > kvm modules compiled. when i was trying to emerge kvm-kmod, it is said
> > to have been masked, so i unmasked it. but while compiling, kvm-kmod
> > failed with an error message like:
> >
> > cannot file arch/x86/kvm/trace.h file
>
> Masked packages are usually masked for a reason. I would check on google
> and then the gentoo bugzilla and see if anyone else has had the same
> problem, and how they fixed it.
>
> Marcus
>

/var/portage/profiles/package.mask:

# Doug Goldstein <cardoe@gentoo.org> (22 Nov 2009)
# masking until this package can follow the actual
# kvm-kmod upstream package
app-emulation/kvm-kmod


That seems to imply the reason for the hard mask is version incompatibility


--
alan dot mckinnon at gmail dot com
 
Old 12-24-2009, 11:19 AM
Xi Shen
 
Default cannot compile kvm

On Thu, Dec 24, 2009 at 6:21 PM, Alan McKinnon <alan.mckinnon@gmail.com> wrote:
> On Thursday 24 December 2009 11:00:52 Marcus Wanner wrote:
>> On 12/23/2009 8:14 PM, Xi Shen wrote:
>> > hi,
>> >
>> > i cannot access my computer now, so i can only tell you what i remember.
>> >
>> > i am using gentoo amd64, and the portage is updated. the kernel have
>> > kvm modules compiled. when i was trying to emerge kvm-kmod, it is said
>> > to have been masked, so i unmasked it. but while compiling, kvm-kmod
>> > failed with an error message like:
>> >
>> > cannot file arch/x86/kvm/trace.h file
>>
>> Masked packages are usually masked for a reason. I would check on google
>> and then the gentoo bugzilla and see if anyone else has had the same
>> problem, and how they fixed it.
>>
>> Marcus
>>
>
> /var/portage/profiles/package.mask:
>
> # Doug Goldstein <cardoe@gentoo.org> (22 Nov 2009)
> # masking until this package can follow the actual
> # kvm-kmod upstream package
> app-emulation/kvm-kmod
>
>
> That seems to imply the reason for the hard mask is version incompatibility
>
>
> --
> alan dot mckinnon at gmail dot com
>
>

oops```so i need to wait sometime before it is updated.


--
Best Regards,
David Shen

http://twitter.com/davidshen84/
http://meme.yahoo.com/davidshen84/
 

Thread Tools




All times are GMT. The time now is 09:55 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org